#!/usr/bin/bash

VERSION=$(grep "Version:" ../SPECS/dust.spec | grep -v Up | cut -d: -f2 | sed -e 's|^[[:space:]]*||')
NAME=$(grep "Name:" ../SPECS/dust.spec | cut -d: -f2 | sed -e 's|^[[:space:]]*||')
SOURCE0=$(grep "Source0:" ../SPECS/dust.spec | awk '{print $2}')
SOURCE=$( echo ${SOURCE0} | sed -e "s|%{version}|${VERSION}|g" | sed -e "s|%{name}|${NAME}|g" )

if [ ! -e ${NAME}-${VERSION}.tar.gz ]; then
	echo "Downloading source for ${NAME} ${VERSION}"
	wget -q ${SOURCE}
fi

echo "Preparing source"
tar xfz ${NAME}-${VERSION}.tar.gz
cd ${NAME}-${VERSION}
echo "Running cargo vendor for ${NAME}"
cargo vendor 3>&1 1> ../cargo-vendor.log 2>&1
tar cf ../${NAME}-cargo-vendor-${VERSION}.tar vendor
cd ..
echo "Compressing the ${NAME}-${VERSION} archive"
xz -e9 ${NAME}-cargo-vendor-${VERSION}.tar
rm -rf ${NAME}-${VERSION}
echo "Done"
